- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions

# QDesktopServices Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qdesktopservices.h.

`#include <qdesktopservices.h>`

List of all members.

## Public Types
enum | StandardLocation { DesktopLocation, DocumentsLocation, FontsLocation, ApplicationsLocation, MusicLocation, MoviesLocation, PicturesLocation, TempLocation, HomeLocation, DataLocation, CacheLocation }
## Static Public Member Functions
static bool | openUrl (const QUrl &url)
static void | setUrlHandler (const QString &scheme, QObject *receiver, const char *method)
static void | unsetUrlHandler (const QString &scheme)
static QString | storageLocation (StandardLocation type)
static QString | displayName (StandardLocation type)

## Member Enumeration Documentation

enum StandardLocation

Search for all occurrences

Enumerator:

  DesktopLocation | Search for all occurrences
  DocumentsLocation | Search for all occurrences
  FontsLocation | Search for all occurrences
  ApplicationsLocation | Search for all occurrences
  MusicLocation | Search for all occurrences
  MoviesLocation | Search for all occurrences
  PicturesLocation | Search for all occurrences
  TempLocation | Search for all occurrences
  HomeLocation | Search for all occurrences
  DataLocation | Search for all occurrences
  CacheLocation | Search for all occurrences

Definition at line 66 of file qdesktopservices.h.

                              {
            DesktopLocation,
            DocumentsLocation,
            FontsLocation,
            ApplicationsLocation,
            MusicLocation,
            MoviesLocation,
            PicturesLocation,
            TempLocation,
            HomeLocation,
            DataLocation,
            CacheLocation
        };

## Member Function Documentation

static bool openUrl | ( | const QUrl & | url | ) | `[static]`

Search for all occurrences

static void setUrlHandler | ( | const QString & | scheme,
|  | QObject * | receiver,
|  | const char * | method
| ) |  | `[static]`

Search for all occurrences

static void unsetUrlHandler | ( | const QString & | scheme | ) | `[static]`

Search for all occurrences

static QString storageLocation | ( | StandardLocation | type | ) | `[static]`

Search for all occurrences

static QString displayName | ( | StandardLocation | type | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qdesktopservices.h

QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices
QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices QDesktopServices